Subject: Re: [ANNOUNCE] Git v1.8.5-rc2

From: Marc Branchaud <[email-masked]>
Date: Thu, 14 Nov 2013 11:47:04 -0500

On 13-11-13 06:07 PM, Junio C Hamano wrote:
> A release candidate Git v1.8.5-rc2 is now available for testing
> at the usual places.

 [ snip ]

> Updates since v1.8.4
> --------------------
> 
> Foreign interfaces, subsystems and ports.
> 
>  * "git-svn" used with SVN 1.8.0 when talking over https:// connection
>    dumped core due to a bug in the serf library that SVN uses.  Work
>    it around on our side, even though the SVN side is being fixed.
> 
>  * On MacOS X, we detected if the filesystem needs the "pre-composed
>    unicode strings" workaround, but did not automatically enable it.
>    Now we do.
> 
>  * remote-hg remote helper misbehaved when interacting with a local Hg
>    repository relative to the home directory, e.g. "clone hg::~/there".
> 
>  * imap-send ported to OS X uses Apple's security framework instead of
>    OpenSSL one.
> 
>  * Subversion 1.8.0 that was recently released breaks older subversion
>    clients coming over http/https in various ways.

Isn't this the same as the serf fixes ([1],[2])?  If not, what git change is
it referring to?

BTW,

$ git log --no-merges --oneline v1.8.4..v1.8.5-rc2 -- git-svn.perl perl/Git/SVN/

shows:

f849bb6 git-svn: Warn about changing default for --prefix in Git v2.0
60786bd git-svn: fix signed commit parsing
73ffac3 git-svn: fix termination issues for remote svn connections
8ac251b git-svn: allow git-svn fetching to work using serf

The release notes don't seem to mention 60786bd.

		M.

[1] http://thread.gmane.org/gmane.comp.version-control.git/229720
[2] http://thread.gmane.org/gmane.comp.version-control.git/233701